# AGIRequest.RequestURL Property
Returns the full URL of the request in the form agi://host[:port][/script].

AsterNet Class Library (Sandcastle documentation)

| AGIRequest RequestURL Property

Returns the full URL of the request in the form agi://host[:port][/script].

Namespace: AsterNET.FastAGI
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public string RequestURL { get; }

    Public ReadOnly Property RequestURL As String
    	Get

    public:
    property String^ RequestURL {
    	String^ get ();
    }

    member RequestURL : string with get

#### Property Value

Type: String
See Also

#### Reference

AGIRequest Class
AsterNET.FastAGI Namespace